{% extends "/default/default.twig" %}
{% block title %}Dettagli  territorio {{ nome_territorio }}{% endblock %}
{% block adding_css %}

{% endblock %}

{% block wrapper %}

    <div class="row">
        <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
            <h1 class="titleHeader">{{ nome_comune }} <a href="{{ dirDefault }}/comune/lista" class="btn btn-primary">Torna alla lista</a></h1>
        </div>
    </div>
    <div class="row">
        <div class="col-lg-12 ">
            <div class="panel panel-default">
                <div class="panel-body">
                    <!--
                    <div class="col-lg-3 col-md-6 col-sm-12 col-xs-12">
                        <a  href="{{ dirDefault }}/comune/dettagli/generale/{{ id_comune }}" class="col-lg-12 col-md-12 col-sm-12 col-xs-12 btn btn-outline btn-primary bold">Generale</a>
                    </div>
                    -->
                    <div class="col-lg-3 col-md-6 col-sm-12 col-xs-12">
                        <a  href="{{ dirDefault }}/comune/dettagli/nominativi/{{ id_comune }}" class="col-lg-12 col-md-12 col-sm-12 col-xs-12 btn btn-outline btn btn-primary bold">Nominativi</a>
                    </div>
                    <div class="col-lg-3 col-md-6 col-sm-12 col-xs-12">
                        <a  href="{{ dirDefault }}/comune/dettagli/mappa/{{ id_comune }}" class="col-lg-12 col-md-12 col-sm-12 col-xs-12 btn btn-primary bold">Mappa</a>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
            <div id="map" style="width:100%;height:600px">
        </div>
    </div>
{% endblock %}


{% block adding_js %}

<script src="https://maps.google.com/maps/api/js?key=AIzaSyCWfN-lcWrUGrQNhjMGOAGDeAMsekB3aP0" type="text/javascript"></script>
  <script type="text/javascript">
/*
aspettare per test https
    if (navigator.geolocation)
    {
        alert("Geolocation OK");
        navigator.geolocation.getCurrentPosition(showPosition);
    } else {

        alert("Geolocation ko");
    }

function showPosition(position) {
    var lat = position.coords.latitude;
    var lng = position.coords.longitude;
alert(lat);

}

*/

  /*
  CODICE FUNZIONANTE NO POSIZIONE UTENTE ------> NNNNNNNNNNOOOOOOOOOOOOOOOOOOONNNNNNNNNNNN MODIFICARE
*/
    var request = $.ajax({
        method: "post",
        url: "{{dirDefault}}/comune/dettagli/mappa/load_mappa/{{ id_comune }}",
        dataType: "json"
    });
    request.done(function (resp) {
        var centro_mappa = resp.centro_mappa;
        var map = new google.maps.Map(document.getElementById('map'), {
          zoom: 15,
          center: new google.maps.LatLng(centro_mappa.latitudine, centro_mappa.longitudine),
          mapTypeId: google.maps.MapTypeId.ROADMAP
        });

        var infowindow = new google.maps.InfoWindow();

        var marker, i;
         //CICLO LE INFORMAZIONI SUI MARKER IN ARRIVO DA AJAX
        var info_marker = resp.info_nominativi;
        var info_territori = resp.info_territori;
        for( i in info_marker){
            //DEFINISCO TIPO DI MARKER
			mark = "{{dirDefault}}/image/marker/"+info_marker[i].segnaposto+".png";

          marker = new google.maps.Marker({
            position: new google.maps.LatLng(info_marker[i].latitudine, info_marker[i].longitudine),
            map: map,
       	    icon: mark
          });




          google.maps.event.addListener(marker, 'click', (function(marker, i) {
            return function() {
                //PREPARO INFO PER APERTURA INFO A CLICK SU MARKER
                var select_terr = "<br><select class='change_terr'>";
                var selected = "";
                for( t in info_territori){

                    if(info_territori[t].id_terr == info_marker[i].id_territorio){
                        selected = "selected";
                    }else{
                        selected = "";
                    }
                   select_terr += "<option value="+info_territori[t].id_terr+" "+selected+">"+info_territori[t].nome+"</option>";
                }
                select_terr += "</select>";

                var info_content = info_marker[i].via+" "+info_marker[i].civico+" "+info_marker[i].interno+", qta:"+info_marker[i].qta+select_terr;
                infowindow.setContent(info_content);
                infowindow.open(map, marker);

                $( ".change_terr" ).change(function() {
                    var id_nom = info_marker[i].id_nominativo;
                    var id_terr = $(this).val();
                    updateTerr(id_nom,id_terr);
                });
            }
          })(marker, i));

        }
    });

    function updateTerr(id_nom, id_terr){
        var request = $.ajax({
            method: "post",
            url: "{{dirDefault}}/nominativo/updateTerritorio",
            dataType: "json",
            data: "id_nominativo="+id_nom+"&id_territorio="+id_terr
        });
        request.done(function (resp) {
            if(resp.esito == "OK"){
                location.reload();
            }
        });

    }


</script>
{% endblock %}